#include <bits/stdc++.h>

using namespace std;

vector<int> getVisionPattern1d() {
    return {1, 1, 3, 1, 2};
}

int getMove1d(vector<int> v) {
    int k = (int) v.size() / 2;
    if (k == 3) {
        if (v[1] == 2) return 0;
        if (v[5] == 2) return 6;
    }
    if (k == 2) {
        if (v[0] == 3) return 0;
        if (v[5] == 3) return 5;
    }
    if (k == 1) {
        if (v[0] == 2) return 2;
        if (v[2] == 2) return 0;
        if (v[0] == 3) return 0;
        if (v[2] == 3) return 2;
    }
    assert(false);
}

vector<vector<int>> getVisionPattern2d() {
}

pair<int, int> getMove2d(vector<vector<int>> v) {
}

/*int32_t main() {
    ios::sync_with_stdio(0); cin.tie(0);
    double a = 1.5, b;
    cin >> b;
    cout << fixed << setprecision(3) << 24 * (1 - pow(1 - (a - 1) / (max(a, b) - 1), 0.8));
}*/
